package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * MBTI测评记录详情对象 b_busi_mbti_record_details
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("MBTI测评记录详情")
public class BBusiMbtiRecordDetails extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    @ApiModelProperty("用户")
    private String customerCode;

    /** 测评批次 */
    @Excel(name = "测评批次")
    @ApiModelProperty("测评批次")
    private String recordCode;

    /** 步骤 */
    @Excel(name = "步骤")
    @ApiModelProperty("步骤")
    private Long stepId;

    /** 步骤标题 */
    @Excel(name = "步骤标题")
    @ApiModelProperty("步骤标题")
    private String stepTitle;

    /** 题目 */
    @Excel(name = "题目")
    @ApiModelProperty("题目")
    private Long questionId;

    /** 题干 */
    @Excel(name = "题干")
    @ApiModelProperty("题干")
    private String questionTitle;

    /** 选项A */
    @Excel(name = "选项A")
    @ApiModelProperty("选项A")
    private String optionA;

    /** 选项B */
    @Excel(name = "选项B")
    @ApiModelProperty("选项B")
    private String optionB;

    /** 取值A */
    @Excel(name = "取值A")
    @ApiModelProperty("取值A")
    private String valueA;

    /** 取值B */
    @Excel(name = "取值B")
    @ApiModelProperty("取值B")
    private String valueB;

    /** 答案 */
    @Excel(name = "答案")
    @ApiModelProperty("答案")
    private String answer;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setRecordCode(String recordCode) {
        this.recordCode = recordCode;
    }

    public String getRecordCode() {
        return recordCode;
    }

    public void setStepId(Long stepId) {
        this.stepId = stepId;
    }

    public Long getStepId() {
        return stepId;
    }

    public void setStepTitle(String stepTitle) {
        this.stepTitle = stepTitle;
    }

    public String getStepTitle() {
        return stepTitle;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionTitle(String questionTitle) {
        this.questionTitle = questionTitle;
    }

    public String getQuestionTitle() {
        return questionTitle;
    }

    public void setOptionA(String optionA) {
        this.optionA = optionA;
    }

    public String getOptionA() {
        return optionA;
    }

    public void setOptionB(String optionB) {
        this.optionB = optionB;
    }

    public String getOptionB() {
        return optionB;
    }

    public void setValueA(String valueA) {
        this.valueA = valueA;
    }

    public String getValueA() {
        return valueA;
    }

    public void setValueB(String valueB) {
        this.valueB = valueB;
    }

    public String getValueB() {
        return valueB;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getAnswer() {
        return answer;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("recordCode", getRecordCode()).append("stepId", getStepId()).append("stepTitle", getStepTitle())
            .append("questionId", getQuestionId()).append("questionTitle", getQuestionTitle()).append("optionA", getOptionA())
            .append("optionB", getOptionB()).append("valueA", getValueA()).append("valueB", getValueB()).append("answer", getAnswer())
            .append("status", getStatus()).toString();
    }
}
